org.apache.tomcat.dbcp.pool.impl

## Class StackObjectPoolFactory<T>

- java.lang.Object
- - org.apache.tomcat.dbcp.pool.impl.StackObjectPoolFactory<T>

- Type Parameters:
    `T` - the type of objects held in this pool
  All Implemented Interfaces:
    ObjectPoolFactory<T>

      public class StackObjectPoolFactory<T>
      extends java.lang.Object
      implements ObjectPoolFactory<T>

  A factory for creating `StackObjectPool` instances.
  Since:
    Pool 1.0
  Author:
    Rodney Waldhoff
  See Also:
    `StackObjectPool`, `StackKeyedObjectPoolFactory`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected PoolableObjectFactory<T>` | `_factory` Deprecated. to be made private in pool 2.0
    `protected int` | `_initCapacity` Deprecated. to be made private in pool 2.0
    `protected int` | `_maxSleeping` Deprecated. to be made private in pool 2.0

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StackObjectPoolFactory()` Deprecated. to be removed in pool 2.0 - use `StackObjectPoolFactory(PoolableObjectFactory)`
    `StackObjectPoolFactory(int maxIdle)` Deprecated. to be removed in pool 2.0 - use `StackObjectPoolFactory(PoolableObjectFactory, int)`
    `StackObjectPoolFactory(int maxIdle, int initIdleCapacity)` Deprecated. to be removed in pool 2.0 - use `StackObjectPoolFactory(PoolableObjectFactory, int, int)`
    `StackObjectPoolFactory(PoolableObjectFactory<T> factory)` Create a new StackObjectPoolFactory.
    `StackObjectPoolFactory(PoolableObjectFactory<T> factory, int maxIdle)` Create a new StackObjectPoolFactory.
    `StackObjectPoolFactory(PoolableObjectFactory<T> factory, int maxIdle, int initIdleCapacity)` Create a new StackObjectPoolFactory.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ObjectPool<T>` | `createPool()` Create a StackObjectPool.
    `PoolableObjectFactory<T>` | `getFactory()` Returns the factory used by created pools.
    `int` | `getInitCapacity()` Returns the initial capacity of created pools.
    `int` | `getMaxSleeping()` Returns the maxIdle setting for created pools.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### _factory

          @Deprecated
          protected PoolableObjectFactory<T> _factory

      Deprecated. to be made private in pool 2.0
      The PoolableObjectFactory used by created pools.

    - #### _maxSleeping

          @Deprecated
          protected int _maxSleeping

      Deprecated. to be made private in pool 2.0
      The maximum number of idle instances in created pools.

    - #### _initCapacity

          @Deprecated
          protected int _initCapacity

      Deprecated. to be made private in pool 2.0
      The initial size of created pools.

  - ### Constructor Detail

    - #### StackObjectPoolFactory

          @Deprecated
          public StackObjectPoolFactory()

      Deprecated. to be removed in pool 2.0 - use `StackObjectPoolFactory(PoolableObjectFactory)`
      Create a new StackObjectPoolFactory.
      See Also:
        `StackObjectPool.StackObjectPool()`

    - #### StackObjectPoolFactory

          @Deprecated
          public StackObjectPoolFactory(int maxIdle)

      Deprecated. to be removed in pool 2.0 - use `StackObjectPoolFactory(PoolableObjectFactory, int)`
      Create a new StackObjectPoolFactory.
      Parameters:
        `maxIdle` - cap on the number of "sleeping" instances in the pool.
      See Also:
        `StackObjectPool.StackObjectPool(int)`

    - #### StackObjectPoolFactory

          @Deprecated
          public StackObjectPoolFactory(int maxIdle,
                                           int initIdleCapacity)

      Deprecated. to be removed in pool 2.0 - use `StackObjectPoolFactory(PoolableObjectFactory, int, int)`
      Create a new StackObjectPoolFactory.
      Parameters:
        `maxIdle` - cap on the number of "sleeping" instances in the pool.
        `initIdleCapacity` - - initial size of the pool (this specifies the size of the container, it does not cause the pool to be pre-populated.)
      See Also:
        `StackObjectPool.StackObjectPool(int, int)`

    - #### StackObjectPoolFactory

          public StackObjectPoolFactory(PoolableObjectFactory<T> factory)

      Create a new StackObjectPoolFactory.
      Parameters:
        `factory` - the PoolableObjectFactory used by created pools.
      See Also:
        `StackObjectPool.StackObjectPool(PoolableObjectFactory)`

    - #### StackObjectPoolFactory

          public StackObjectPoolFactory(PoolableObjectFactory<T> factory,
                                int maxIdle)

      Create a new StackObjectPoolFactory.
      Parameters:
        `factory` - the PoolableObjectFactory used by created pools.
        `maxIdle` - cap on the number of "sleeping" instances in the pool.

    - #### StackObjectPoolFactory

          public StackObjectPoolFactory(PoolableObjectFactory<T> factory,
                                int maxIdle,
                                int initIdleCapacity)

      Create a new StackObjectPoolFactory.
      Parameters:
        `factory` - the PoolableObjectFactory used by created pools.
        `maxIdle` - cap on the number of "sleeping" instances in the pool.
        `initIdleCapacity` - - initial size of the pool (this specifies the size of the container, it does not cause the pool to be pre-populated.)

  - ### Method Detail

    - #### createPool

          public ObjectPool<T> createPool()

      Create a StackObjectPool.
      Specified by:
        `createPool` in interface `ObjectPoolFactory<T>`
      Returns:
        a new StackObjectPool with the configured factory, maxIdle and initial capacity settings

    - #### getFactory

          public PoolableObjectFactory<T> getFactory()

      Returns the factory used by created pools.
      Returns:
        the PoolableObjectFactory used by created pools
      Since:
        1.5.5

    - #### getMaxSleeping

          public int getMaxSleeping()

      Returns the maxIdle setting for created pools.
      Returns:
        the maximum number of idle instances in created pools
      Since:
        1.5.5

    - #### getInitCapacity

          public int getInitCapacity()

      Returns the initial capacity of created pools.
      Returns:
        size of created containers (created pools are not pre-populated)
      Since:
        1.5.5

Copyright © 2000-2020 Apache Software Foundation. All Rights Reserved.